[pmwiki-users] Is there preferred versions of PmWiki to use for deployment?

Patrick R. Michaud pmichaud at pobox.com
Tue Nov 29 15:56:54 CST 2005

On Tue, Nov 29, 2005 at 09:42:29PM +0000, Mr Wappy wrote:
> However, the rapid evolution of the product, raises
> some questions for me for which I would seek
> advice/comments.
> Q1.  Which version of PmWiki should I be using if I
> wish to deploy a stable, secure Wiki on the Internet? 
> I tend to always update to the latest everytime I try
> a new feature but it may be that some versions are
> "blacklisted" due to inevitable bugs during testing
> etc but it isn't obvious to me which. Is there a list
> of versions or should I continue to use the latest and
> keep updating regularly?

Depending on the degree of customization involved, I recommend 
staying with the latest version.  Any serious bugs in PmWiki
tend to get resolved relatively quickly, so that the odds of
retrieving a "buggy" version of PmWiki is fairly small.

A good rule of thumb might be that any release that has been out
for seven days with no subsequent releases is probably fairly

> Q2. Does the selection criteria change depending on
> which recipes are being used e.g. AuthUser,
> RSSImproved, Counter, PmWiki2PDF?

As for other recipes, it's probably safe to upgrade within minor
releases (e.g., 2.0.x to 2.0.y) but you may want to carefully
evaluate things for major releases (e.g., 2.0.x to 2.1.y).  And
I don't see any problem with asking the list about specific
recipes and releases.

For the recipes you mentioned above:

  - AuthUser is part of the core distribution and should always 
    be good for any release.

  - RSSImproved should work fine with 2.0.x, and I would expect
    the recipe to continue to work with 2.1.0 when it comes out 
    of beta.  However, I'm also planning to completely rewrite
    the built-in RSS support for 2.1.0 and to incorporate many
    of the features of RSSImproved.  Still, you should be able to
    safely use either the recipe or the built-in version at your 

  - I'm assuming you meant the SimplePageCounter recipe -- it should
    work just fine for all 2.0.x and 2.1.x versions.

  - I don't think that PmWiki2PDF should be affected by any changes
    coming for 2.1 but haven't actually tested it yet.

Hope this helps.


More information about the pmwiki-users mailing list